   // Constrói o grafo de cena
   TheSwitch = osg::ref_ptr<osg::Switch> (new osg::Switch());

   for (int i = 1; i < argc; ++i)
   {
      osg::ref_ptr<osg::Node> loadedNode = osgDB::readNodeFile(argv[i]);
      if (!loadedNode)
         std::cerr << "Problema ao abrir '" << argv[i] << "'\n";
      else
      {
         osg::ref_ptr<osg::StateSet> ss (loadedNode->getOrCreateStateSet());
         ss->setMode (GL_NORMALIZE, osg::StateAttribute::ON);
         osg::ref_ptr<osg::PositionAttitudeTransform> pat(
            new osg::PositionAttitudeTransform());
         pat->addChild (loadedNode.get());
         TheSwitch->addChild (pat.get());
      }
   }

   